petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSMonitorLGError

Monitors progress of the TS solvers by plotting each component of the solution vector in a time based line graph

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGError(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dummy)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| u | - current solution
| dctx | - TSMonitorLGCtx object created with TSMonitorLGCtxCreate()

Notes: Each process in a parallel run displays its component errors in a separate window

The user must provide the solution using TSSetSolutionFunction() to use this monitor.

### Options Database Keys

-ts_monitor_lg_error -create a graphical monitor of error history

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSSetSolutionFunction()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages